Relationship (CMDB Model API)
Keywords: com.collation.platform.model.topology.core.Relationship interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.core
Interface Relationship

All Superinterfaces:
  ModelObject, java.io.Serializable

All Known Subinterfaces:
  Accepts, AccessedVia, AccessedViaAsPrimary, Accesses, Administers, Advertises, Affects, AllocatedTo, AppliesFrom, AppliesTo, AssignedTo, Assigns, AssignsTo, AuthorizedBy, Authorizes, BasedOn, BasedOnExtent, BindsAsPrimary, BindsTo, BootsFrom, ConfiguredUsing, ConnectedTo, Connects, Contains, ControlledBy, Controls, ControlsAccess, ControlsAccessFrom, ControlsAccessTo, DefinedUsing, Dependency, DeployedOn, DeployedTo, DeployedUsing, DerivedFrom, DonatedTo, Evaluates, Exports, Exposes, Federates, ForwardsVia, Fulfills, GivesDetails, HostedCollection, HostedDependency, Implements, Imports, IncompatibleWith, InstalledOn, InvokedThrough, IpDependency, IsActuallyCausedBy, IsCausedBy, IsProbablyCausedBy, IsReportedToBeCausedBy, LoadBalances, LocatedAt, Locates, ManagedVia, Manages, MemberOf, Monitors, Networks, Obsoletes, OccursBefore, Owns, Performs, PhysicallyContains, PluggedInto, Provides, Realizes, RealizesExtent, Rejects, Relates, Requires, ResidesOn, ResolvesFrom, Routes, RoutesTo, RoutesVia, RunsOn, SameAs, ServiceDependency, StoredOn, Supports, SystemDependency, TransactionalDependency, UsedBy, Uses, Virtualizes

    public interface Relationship

extends ModelObject

Naming Rules:
  0="type,source,target"
Persistable:
  true
Table Name:
  RELATION
Display Name:
  type

Method Summary
`boolean` | `getGenerated()`
`ModelObject` | `getSource()`
`ModelObject` | `getTarget()`
`java.lang.String` | `getType()`
`boolean` | `hasGenerated()`
`boolean` | `hasSource()`
`boolean` | `hasTarget()`
`boolean` | `hasType()`
`void` | `setGenerated(boolean b)`
`void` | `setSource(ModelObject id)`
`void` | `setTarget(ModelObject id)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getSource

    ModelObject getSource()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSource

    void setSource(ModelObject id)

### hasSource

    boolean hasSource()

### getTarget

    ModelObject getTarget()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTarget

    void setTarget(ModelObject id)

### hasTarget

    boolean hasTarget()

### getGenerated

    boolean getGenerated()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setGenerated

    void setGenerated(boolean b)

### hasGenerated

    boolean hasGenerated()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD